# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`dsc_filesystemaccessrule`](#dsc_filesystemaccessrule): The DSC FileSystemAccessRule resource type. Automatically generated from version 1.1.1

## Resource types

### `dsc_filesystemaccessrule`

The DSC FileSystemAccessRule resource type.
Automatically generated from version 1.1.1

#### Properties

The following properties are available in the `dsc_filesystemaccessrule` type.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

%q{
        Present to create the rule, Absent to remove an existing rule. Default value is 'Present'.
      }

##### `dsc_processonlyonactivenode`

Data type: `Optional[Boolean]`

%q{
        Specifies that the resource will only determine if a change is needed if the target node is the active host of the filesystem object. The user the configuration is run as must have permission to the Windows Server Failover Cluster.
      }

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

%q{}

##### `dsc_rights`

Data type: `Optional[Array[Enum['ListDirectory', 'ReadData', 'WriteData', 'CreateFiles', 'CreateDirectories', 'AppendData', 'ReadExtendedAttributes', 'WriteExtendedAttributes', 'Traverse', 'ExecuteFile', 'DeleteSubdirectoriesAndFiles', 'ReadAttributes', 'WriteAttributes', 'Write', 'Delete', 'ReadPermissions', 'Read', 'ReadAndExecute', 'Modify', 'ChangePermissions', 'TakeOwnership', 'Synchronize', 'FullControl']]]`

%q{
        The permissions to include in this rule. Optional if Ensure is set to value 'Absent'.
      }

##### `ensure`

Data type: `Enum[present, absent]`

Whether this resource should be present or absent on the target system.

Default value: `present`

#### Parameters

The following parameters are available in the `dsc_filesystemaccessrule` type.

##### `dsc_identity`

namevar

Data type: `String`

%q{
        The identity to set permissions for.
      }

##### `dsc_path`

namevar

Data type: `String`

%q{
        The path to the item that should have permissions set.
      }

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

